Skip to content
View as Markdown

POST Create List​

POST
/lists

Create a new contact list. The title field is required. If slug is omitted, it is auto-generated from the title. The slug must be unique across all lists.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Request Body​

application/json
JSON
{
"title": "string",
"slug": "string",
"description": "string"
}

Responses​

List created successfully.

application/json
JSON
{
"lists": {
"id": 0,
"title": "string",
"slug": "string",
"description": "string",
"is_public": 0,
"created_at": "string",
"updated_at": "string"
},
"item": {
"id": 0,
"title": "string",
"slug": "string",
"description": "string",
"is_public": 0,
"created_at": "string",
"updated_at": "string"
},
"message": "string"
}

Playground​

Authorization
Body

Samples​

Powered by VitePress OpenAPI